PUT/api/v2/admin/vouchers/settings

PUT /api/v2/admin/vouchers/settings

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
companyId (query)unknownNo
Idempotency-Key (header)stringNo

Request body

application/json

Request body fields
FieldTypeRequiredDescription
EnabledbooleanNo
ShutdownModestringNo
LowBalanceWarningPercentageunknownNo
VerificationTtlMinutesunknownNo
DefaultRequiresApprovalbooleanNo
DailyReportRecipientsarray of stringNo
MaximumBatchSizeunknownNo
MaximumImportRowsunknownNo
MaximumMassAssignmentSizeunknownNo

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
GlobalEnabledbooleanYes
CompanyEnabledbooleanYes
InterlaceEnabledbooleanYes
EffectiveEnabledbooleanYes
ShutdownModestringYes
LowBalanceWarningPercentageunknownYes
VerificationTtlMinutesunknownYes
DefaultRequiresApprovalbooleanYes
DailyReportRecipientsarray of stringYes
MaximumBatchSizeunknownYes
MaximumImportRowsunknownYes
MaximumMassAssignmentSizeunknownYes

Example request

curl -X PUT "https://{base_url}/api/v2/admin/vouchers/settings" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

This page is generated from the live OpenAPI specification and always matches the current API.